@echo off
REM **************************************************************************/
REM This batch file is used to generate and build the interface files from   */
REM the IDL definitions in the idl directory, as well as the common code in  */
REM the common directory.                                                    */
REM                                                                          */
REM It assumes that you have Sun's JDK installed (1.4.1_01), and have both   */
REM idlj, the IDL-to-Java interface generation tool, and javac, the Java     */
REM compiler, in your PATH.                                                  */
REM **************************************************************************/

REM **************************************************************************/
REM Go to the location of the .idl interface definition files.               */
REM **************************************************************************/

cd ..\idl

REM **************************************************************************/
REM Generate java ORB-supporting code using idlj.                            */
REM                                                                          */
REM The interfaces defined in these idl files will be put into the           */
REM   com.MetaSwitch.EMS.Corba package                                       */
REM due to the idl.config file in the "idl" directory.                       */
REM                                                                          */
REM For more information on this file see the idlj tool help at:             */
REM   http://java.sun.com/j2se/1.4.1/docs/tooldocs/tools.html                */
REM                                                                          */
REM Output files will be written to the "examples" directory.                */
REM **************************************************************************/

idlj -td ..\examples\common NLSSupportInterface.idl
idlj -td ..\examples\common SEAccessInterface.idl
idlj -td ..\examples\common SEExceptions.idl
idlj -td ..\examples\common SettingsUserInterface.idl
idlj -td ..\examples\common SEAccessFactoryInterface.idl
idlj -td ..\examples\common ClientSessionInterface.idl
idlj -td ..\examples\common ClientSessionManagerInterface.idl
idlj -fall -td ..\examples\common SnapshotChangeListenerInterface.idl
idlj -td ..\examples\common omlapi.idl

cd ..\examples\common

if not exist ..\classes\nul md ..\classes

REM **************************************************************************/
REM Compile the Corba Interface files that have just been generated.         */
REM                                                                          */
REM Class files will be written to the "examples\classes" directory          */
REM **************************************************************************/
javac -classpath ..\classes -d ..\classes com\MetaSwitch\EMS\Corba\*.java

REM **************************************************************************/
REM Compile the Common helper files.                                         */
REM                                                                          */
REM Class files will be written to the "examples\classes" directory          */
REM **************************************************************************/
javac -classpath ..\classes -d ..\classes com\MetaSwitch\EMS\Utils\*.java

cd ..